#pragma once

#include "finder.h"

#include <map>
#include <vector>

class GroupedFinder : public Finder {
private:
  std::map<char, std::vector<const std::string *>> groups_;

public:
  GroupedFinder(const std::vector<string> &word_list);

  virtual std::forward_list<const std::string *>
  find_prefix(std::string_view search_term) const override;
};
