#pragma once

#include "finder.h"

#include <vector>

using std::vector;

class LinearFinder : public Finder {
private:
  const vector<string> &word_list_;

public:
  LinearFinder(const vector<string> &word_list);
  forward_list<const string *>
  find_prefix(string_view search_term) const override;
};
